Bug 309281 - RFE: add libmilter shared library
RFE: add libmilter shared library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
: Reopened
: 479325 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-27 12:34 EDT by Carl Roth
Modified: 2009-01-20 13:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 13:56:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for sendmail.spec to enable shared libmilter (3.17 KB, patch)
2007-09-27 12:34 EDT, Carl Roth
no flags Details | Diff
Patch for libmilter Makefile.m4 to enable shared library (764 bytes, patch)
2007-09-27 12:35 EDT, Carl Roth
no flags Details | Diff
Supplemental build rules for shared libraries in sendmail (1.69 KB, text/plain)
2007-09-27 12:35 EDT, Carl Roth
no flags Details
Patches to sendmail SRPM contents (8.00 KB, application/octet-stream)
2008-06-17 12:08 EDT, Carl Roth
no flags Details

  None (edit)
Description Carl Roth 2007-09-27 12:34:01 EDT
Description of problem:

I'd like to use pymilter (Python libmilter API) under Fedora Core, and the build
requires a dynamically-linked libmilter.  The current sendmail build is static
only (specifically, PIE).

I'm attaching patches for the sendmail SRPM to enable a shared library for
libmilter; please comment on whether you think this is appropriate for inclusion
into Fedora Core.  The patches are based on old instructions for solving the
same problem under FreeBSD.

Note that the patch as I've implemented it does not alter the build rules for
the rest of sendmail (including libmilter.a) so that the PIE attributes are
preserved.

Version-Release number of selected component (if applicable):

sendmail-8.14.1-2

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Carl Roth 2007-09-27 12:34:01 EDT
Created attachment 208601 [details]
Patch for sendmail.spec to enable shared libmilter
Comment 2 Carl Roth 2007-09-27 12:35:04 EDT
Created attachment 208621 [details]
Patch for libmilter Makefile.m4 to enable shared library
Comment 3 Carl Roth 2007-09-27 12:35:43 EDT
Created attachment 208661 [details]
Supplemental build rules for shared libraries in sendmail
Comment 4 Bug Zapper 2008-05-14 10:32:38 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 22:30:50 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Carl Roth 2008-06-17 12:07:20 EDT
I'd still like to see this change for F9.  I'm attach a latest patches to get it
working for sendmail-8.14.2-4.
Comment 7 Carl Roth 2008-06-17 12:08:29 EDT
Created attachment 309631 [details]
Patches to sendmail SRPM contents
Comment 8 Miroslav Lichvar 2009-01-20 13:54:52 EST
*** Bug 479325 has been marked as a duplicate of this bug. ***
Comment 9 Miroslav Lichvar 2009-01-20 13:56:22 EST
sendmail-8.14.3-4.fc11 now has shared libmilter. Thanks.

Note You need to log in before you can comment on or make changes to this bug.